package com.yd.dal.mapper.meta;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.yd.dal.entity.meta.MdTagView;

/**
 * @author xxy
 */
public interface MdTagViewMapper {
    int deleteByPrimaryKey(Long id);

    int insert(MdTagView record);

    int insertSelective(MdTagView record);

    MdTagView selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MdTagView record);

    int updateByPrimaryKey(MdTagView record);

    int updateBatch(List<MdTagView> list);

    int updateBatchSelective(List<MdTagView> list);

    int batchInsert(@Param("list") List<MdTagView> list);

    List<MdTagView> selectByIsActive(@Param("isActive")Long isActive);
}